Get PDF Report

Download a saved report as a ZIP archive containing its PDF.

Users can download all reports data of canned or custom report. This method returns a zip file containing the PDF report.

KeyMeaningMandatoryData Type
accountidAccount name to fetch the saved reportYesstring
reportnameName of the saved report to downloadYesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.platform import PlatformClient

client = PlatformClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Report.getPdf(
  accountid="Demo Account",
  reportname="Asset Report"
)

if isinstance(response, bytes):
    with open("report.zip", "wb") as f:
        f.write(response)
else:
    print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/zip
application/json